select
    nt.dtentradasaida as data_entrada,
    fo.nome as fornecedor,
    pr.nome as produto,
    nti.qtde as quantidade,
    (nti.vrtotal / nti.qtde) as valor_unitario,
    nti.vrtotal as valor_total,
    (case when (nti.cdnotaitem in (select distinct cdnotaitem from notaitemapro)) then cc.descricao else 'Estoque' end) as destino,
    (case when (nti.cdnotaitem in (select distinct cdnotaitem from notaitemapro)) then nia.percentual else '100' end) as percentual,
    (case when (nti.cdnotaitem in (select distinct cdnotaitem from notaitemapro)) then
            ((nti.vrtotal * nia.percentual)/100) else nti.vrtotal end) as valor_apropriado
from
    nota nt
    left join pessoa fo on fo.cdpessoa = nt.cdpessoa
    left join notaitem nti on nti.cdnota = nt.cdnota
    left join produto pr on pr.cdproduto = nti.cdproduto
    left join notaitemapro nia on nia.cdnotaitem = nti.cdnotaitem
    left join centrocusto cc on cc.cdcentrocusto = nia.cdcentrocusto
where
    nt.tiponota = 'E' and
    nt.dtentradasaida between '2015-01-01' and '2015-09-30'
order by
    nt.dtentradasaida